April 23rd, 2011 - v0.37.8
- Corrected an issue in which resizing a source
  from 480i/29.97 to 720p would result in an 
  TSMUXER "Non standard fps value" error during 
  the remuxing.
- Developed new routines so resizing of subtitle
  streams is now done by BD-RB (rather than via
  TSMUMXER).  This corrects several possible
  issues associated with resizing PGS streams.
- Corrected an issue in which opening a feature
  in movie-only mode that contains IGS in the
  main-movie stream could result in a "Selected
  Source is not BD Format" error.
- Rebuilt the algorithms for checking subtitle
  sources. This should eliminate the TSMUXER 
  error "Unexpected byte" and failure that could 
  sometimes occur while extracting audio/subs and
  resizing to 720p.
- Corrected an issue in movie-only mode in which
  "forced" subtitle (e.g. when foreign languages
  are spoken) were not supported during resizing.
- Added support for subtitles when outputting to
  ALTERNATE/DVD.  Note that the conversion of
  the graphics and integration into the output
  stream adds approx 2 minutes to the overall job
  for each subtitle kept, so it is recommended 
  you only select the  subtitles you really want.
- Add a new hidden option "DVD_SUB_BACKGROUND".
  It lets you select the type of background you'd
  like for DVD output (see HIDDENOPTS.TXT).
- Add a new hidden option "DVD_SUB_COLOR". It lets 
  you select the subtitle foreground color you'd 
  like for DVD output (see HIDDENOPTS.TXT).
- Updated the included version of X264.EXE to the
  latest release (r1937).
- Updated the included version of X264-64.EXE to 
  the latest release (r1936).
- Other minor corrections and cosmetic fixes.

March 29th, 2011 - v0.37.7
- Corrected an error in which framerate could be
  set incorrectly when outputting to DVD and one
  of the resizing options is selected.
- Changed default audio selection behavior so that 
  a track will be kept (even when the language is 
  not one that is selected) when it is the only 
  audio track available.  This behavior can be set
  to be disabled using the new "KEEP_SINGLE_AUDIO" 
  hidden option (see HIDDENOPTS.TXT).
- Corrected a bug in which AVC sources may not be
  recognized as pulldown when appropriate when the
  480p video type is set and can result in syncing 
  issues.  Especially useful on sources previously 
  run thorugh BD-RB, TSMUXER,or multiAVCHD. 
- Corrected an error in which DEINTERLACER_TYPE
  (hidden option) was not being read properly.
- Updated the included version of X264.EXE to the
  latest release (r1924).
- Updated the included version of X264-64.EXE to 
  the latest release (r1924).
- Other minor corrections and cosmetic fixes.

March 13th, 2011 - v0.37.6
- Corrected a bug in which 1080i sources could be
  incorrectly reencoded as 1080p.
- Fixed an error that could cause MKV encoding to
  fail due to blank maximum bitrate in the command
  line.
- Corrected an issue in which the resume function
  was not functioning properly due to the recent
  implementation of HD audio selection checks.
- Correct a bug in which selecting "192Kbs" audio
  output in DVD-5/9 output was not first doing a
  conversion to 2 channel of multichannel sources.
- Made several improvements in bitrate calculation
  and threshold checks.
- Updated the included version of X264.EXE to the
  latest release (r1913).
- Updated the included version of X264-64.EXE to 
  the latest release (r1913).
- Other minor corrections and cosmetic fixes.

February 15th, 2011 - v0.37.5
- Corrected an issue in which a scan of the
  source material might miss an audio/video time
  delta when PTS/DTS values were very large.
- Corrected an error that could cause error 2904
  while outputting to ALTERNATE/DVD when the audio
  track has an offset detected.
- Updated DVD output so it exits completely rather 
  than pausing at the end of play.
- Improved the methodology for prevention of sleep 
  mode. It is now set/reset at the beginning/end of 
  each full job rather than at the start/stop of 
  each encode.  Also changed settings so the video
  monitor sleep will not be blocked and it will act 
  as set in the POWER options during encoding.
- Added a hidden setting (DISABLE_SLEEP=0) that 
  can be used to prevent the sleep blocking 
  function from executing.
- Corrected an issue in which a "too small" target 
  size for MKV output could result in illegal or
  nonsensical bitrates.
- Corrected an error in which a large target size
  for MKV output could result in an overflow
  condition: PredictAndEncode() 00006 2820.
- Reversed the decision to make LAVF the default
  frame server.  It appears to be slower on some
  systems.  It can still be selected if desired
  from the SETUP dialog.
- Corrected a problem in which starting a job with
  "Keep HD Audio", and then stopping/resetting and
  restarting with that parameter changed (after
  audio extraction) could result in a failed audio 
  encode.  An improbable but possible scenario.
- Updated the included version of X264-64.EXE to 
  the latest release (r1900).
- Other minor corrections and cosmetic fixes.

February 7th, 2011 - v0.37.4
- Added a new option in the ALTERNATE output
  selections.  You can now choose a target size
  in addition to CRF or bitrate.
- Made some minor improvements in the way IVTC
  is handled that can improve picture quality.
- Added a hidden option "DEINTERLACER_TYPE" that
  will allow you to set the type of deinterlace
  algorithm to use (when selected from SETUP). 
  The settings are:  1=Decomb w/o blend, 
  2=Decomb w/blend, 3=SmoothDeinterlace, and
  4=Progressive.  The last option (4) should be 
  used when the source is progressive -- but it 
  needs "fake-interlaced" to be asserted during 
  encode.
- Added a new hidden option "EXTENDED_GOP".  
  Setting this value to "1" will instruct BD-RB 
  to use a 48 frame GOP size when writing to 
  BD-5 OR BD-9.
- Inserted temporary code to prevent streams that
  contain IGS from being processed.  Since these
  are normally menus and by nature are small, 
  they will be kept intact.  This should prevent 
  the rare "Menu without buttons" issue until
  IGS reintegration routines are completed.
- Changed setting for "Use X264 Internal LAVF" to
  "on" as the default.
- Corrected an error in which using BATCH mode
  can sometimes incorrectly set the audio and
  subtitle selections.
- Corrected a bug in which under very rare and
  specific circumstances LAVF could be selected
  even though IVTC is in effect.
- Corrected an error in the ALTERNATE OUTPUT
  dialog that could cause checkboxes to be set
  at the same time.
- Corrected a problem in which some VC-1 sources
  might be incorrectly IVTC'd.
- Updated the included version of X264.EXE to the
  latest release (r1900).
- Updated the included version of X264-64.EXE to 
  the latest release (r1884).
- Other minor corrections and cosmetic fixes.

January 16th, 2011 - v0.37.3
- Corrected an error in which pulldown could be
  incorrectly applied to a hybrid source.
- Fixed an error in which BFF (bottom field first)
  MPEG-2 sources may not be correctly identified.
- Corrected an error in which 24fps sources that
  were rebuilt for movie-only were not using the
  correct muxing rate and as a result did not
  have audio synchronization.
- Fixed a bug in which setting DEINTERLACE and
  IVTC concurrently would cause an incorrect AVS
  to be generated on a source with pulldown. As a
  result, a nonsensical framerate and audio sync
  problems would occur.
- Corrected the ALTERNATE/DVD output so it will
  properly handle 24fps sources.
- Changed actions in combinations of resizing SD
  to 1080p in combination with IVTC.
- Updated the included version of X264.EXE to the
  latest release (r1867).
- Updated the included version of X264-64.EXE to 
  the latest release (r1867).
- Other minor corrections and cosmetic fixes.

January 3rd, 2011 - v0.37.1
- Added a routine that automatically checks for
  playlist links and, when changes are made to the
  audio or subtitle selection the change ripples
  through all members of a playlist.  Please note
  that a single M2TS file can be a member of more
  than one playlist.  For clarity, any entry that
  is a component of a multi-part playlist will be
  highlighted with a "*" in the BD-RB streams
  list (ex: "VID_00001*") on full backups.
- Added a new audio type for ALTERNATE MKV output.
  You can now set aType to keep the original audio
  intact (unchanged).  Also added a new profile as
  an example ("MKV Container, 1920x1080, Intact 
  Audio"). This allows AC3 as well as LPCM and DTS
  output to MKV.
- Added a new hidden option "ALTERNATE_PAL=n". When
  set to "1" while "Assume PAL for DVD Output" is 
  selected an alternate method is used to convert
  FILM (23.976) sources.  The framerate will be
  directly assumed to be 25fps (rather than using
  a conversion algorithm) and the audio will be
  adjusted to match the new timeline.  This method
  can result in clearer video playback at the
  expense of some slight audio change.  Note: This
  applies to DVD output only.
- Added code to prevent a system from going into
  SLEEP mode while BD-RB is executing.
- Corrected a bug in which DVD-5/9 ALTERNATE output
  combined with multiple audio tracks might combine
  to exceed the DVD maximum bitrate and buffering,
  and result in a "ERROR in attempt to mux (MPLEX)"
  error.
- Corrected an error in the sizing algoritm for DVD
  ALTERNATE output.  Previously any changes in the
  framerate (e.g. PAL from NTSC or FILM) could
  result in oversizing/undersizing.
- Modified settings so that an SD source that is
  being inverse telecined and converted to 1080 will
  become 1080p @ 23.976fps rather than 1080i @ 29.97
  via X264's pulldown mechanism.
- Corrected an issue in which BD-RB, under certain 
  circumstances and during movie-only encoding might
  set the remux framerate incorrectly to NUL, and 
  cause audio desynchronization.
- Corrected an error in which a 7.1 LPCM audio that
  is being converted to DD would fail causing BD-RB 
  to "freeze" while attempting to reencode audio.
- Refined the MPEG-2 scan to better detect pulldown
  v.s. hybrid sources.
- Corrected a conditional decision so that LAVF will
  not be used when pulldown is detected in a source.
- Other minor corrections and cosmetic fixes.

December 21st, 2010 - v0.36.9
- Corrected a bug in v0.36.7 that could result in
  "ScanDirectory() 00013 2601" error.
- Corrected an issue in which a non-selectable
  audio stream in the first position of the streams
  list in conjunction with "Limit to one track for
  each language" might result in no audio being
  selected by default.
- Other minor corrections and cosmetic fixes.

December 21st, 2010 - v0.36.7
- Corrected an issue in which the iPod Alternate
  output was not accepted on some earlier iPODs.
  Changed encoding algoritm to adjust levels and
  maximum bitrates to maintain compatibility 
  across all models.
- Modified the WEIGHTP=n hidden setting so that a
  value of 0, 1, or 2 can be entered.  This value
  represents what will be used in the "--weightp"
  option of the X264 command line.  Default is "1".
- Made some changes to the "Quick Encode" decision
  algorithm to ensure portions of multi-angle or
  multi-path streams cannot be encoded with varying
  levels of quality.
- Improved the initial scan for pulldown.  Also
  corrected some inconsistencies in the MPEG-2
  extended scanning routine to ensure proper hybrid
  and pulldown recognition.
- Changed the default for IVTC so that it is now
  enabled.  If you are playing back your encodes on
  a PC and your CODEC doesn't handle pulldown very
  well, you may want to consider disabling IVTC in
  the SETUP dialog.
- Added a modified method of inverse telecining.  
  BD-RB can now take advantage of DirectShowSource() 
  in that it ignores pulldown flags and provides 
  frame conversion.  This can result in a significant 
  speed increase in encoding of IVTC'd sources (as 
  much as 30%).  In order to use the new method, use
  the "IVTC_TELECIDE=0" hidden setting. Note: This 
  may later become the default, but since it is still 
  experimental it requires making the hidden change.
- Changed the "Approximate Content" display so that
  it show total for source, rather than just the 
  total that requires reencoding.
- Updated the included version of X264.EXE to the
  latest release (r1834).
- Updated the included version of X264-64.EXE to 
  the latest release (r1834).
- Other minor corrections and cosmetic fixes.

December 8th, 2010 - v0.36.6
- Corrected an error in which the .CHP files used
  with IVTC were not corrected to match the new
  framerate.
- Corrected an issue in which hybrid sources under
  certain circumstances in conjunction with the
  IVTC could cause incorrect framerate calculations.
- Added a SETUP option for converting SD sources to
  1080.  This can be useful in creating high quality
  backups of DVD to Blu-Ray or AVCHD.
- Added a SETUP option for converting 4:3 sources to
  16:9.  Caution: This option will clip the top and
  bottom of images in order to make the conversion,
  designed primarily for letterboxed 4:3 sources.
- Moved placement of filters in the AVS file so they
  occur before any BD-RB embedded deinterlacing,
  inverse telecining, or resizing.
- Changed the default deinterlacing mode for DECOMB
  to blend=false.  Blending can be enabled by setting
  DEINTERLACE=2	in the config (INI) file.
- Corrected an error in which a source may incorrectly
  be kept intact even though "USE_FILTERS" was set.
- Updated the X264 command line so that the "--ref"
  parameter is set to the maximum for the specified
  output size.  1080 will use "--ref 4", while others
  (480, 576, and 720) will use "--ref 6".  To disable
  and always use "--ref 4", use the hidden setting
  MAXIMIZE_REFS=0.  [Update: v0.36.6] This feature
  only applies to "Highest Quality" mode in order to
  prevent slowdown in other modes.  Also, the "--ref"
  parameter has been removed from the tweak restricted
  list.
- Modified the hidden option "WEIGHTP" so that "1" is
  now the default (ON), adding "--weightp 1" to the
  X264 command line.  Setting it to "WEIGHTP=0" will 
  result in "--weightp 0".
- Updated the included version of X264.EXE to the
  latest release (r1820).
- Updated the included version of X264-64.EXE to 
  the latest release (r1820).
- Other minor corrections and cosmetic fixes.

November 21st, 2010 - v0.36.4
- Added code to assert the "fake-interlaced" switch
  in X264 when encoding interlaced sources when the
  "Use DECOMB filter..." SETUP option has been
  selected.  This can improve encode quality.
- Added a new routine that does an extended scan
  prior to encoding MPEG-2 480i sources to detect
  hybrid video characteristics.  This should clear 
  up any remaining reports of audio sync problems 
  on certain MPEG-2 sources.
- Updated the MKV ALTERNATE support so that audio
  can be reencoded to DD5.1 (prior to this release
  all audio was stereo).  In order to activate you
  must set the bitrate in ALTERNATE.TXT to 384Kbs
  or higher (with audio type set to AC3).  Two new
  examples have been included.
- Updated the included version of X264.EXE to the
  latest release (r1788).
- Other minor corrections and cosmetic fixes.

November 17th, 2010 - v0.36.3
- Added a new hidden option for specifying the HC
  Encoder profile to use for movie-only DVD output.
  The quality of the encode (highest being slowest)
  can be set by adding "HC_PROFILE=s" to the config 
  (INI) file with "s" being set to "FAST", "NORMAL", 
  or "BEST".  The default setting is "NORMAL".
- Corrected a syntax error on command lines that 
  could cause encoding failure for DVD output when 
  an audio delay is required.
- Corrected an error in which an unmatched language
  setting (BD to DVD) could cause a build failure
  when outputting to ALTERNATE/DVD. 
- Fixed a regression in which ALTERNATE/MKV audio
  output was always incorrectly being reencoded to
  DD 2.0 (rather than DD 5.1 when available).
- Corrected an error in which audio streams that
  contained delays, and were not in the initial
  (SETUP defined) list of selections, could (if
  later selected from the streams list) be muxed
  out-of-sync.
- Updated the included version of X264.EXE to the
  latest release (r1772).
- Updated the included version of X264-64.EXE to 
  the latest release (r1772).
- Other minor corrections and cosmetic fixes.

November 10th, 2010 - v0.36.2
- Changed log output to not show target size when
  ALTERNATE output is selected (it doesn't apply).
- Corrected an error in which certain combinations
  of ALTERNATE movie-only, BD_SIZE and KEEP_HD 
  could result in blank audio-track(s) or failed
  audio encoding for ALTERNATE output.
- Fixed incorrect reporting in the overall progress
  bar when outputting to DVD via ALTERNATE.
- Corrected a resizing calculation error associated
  with movie-only DVD targets.
- Fixed a regression in v0.36.1 that may cause
  compatibility issues on Panasonic players when
  using LAVF.
- Other minor corrections and cosmetic fixes.

November 5th, 2010 - v0.36.1
- Added the ability to create DVD backups of your
  blu-ray disc.  The backup can be selected under
  the "Alternate Movie-Only Output" when movie-
  only mode is in effect. A ready-to-burn structure
  is created in the working folder. Subtitles are
  not supported, expect them in a future release. 
- Added a new selection to the SETUP dialog called
  "Assume PAL for DVD Output".  This auto-converts
  non-PAL sources to 25fps, 720x576 (for DVD output
  only).
- Increased the BD-25 target size value slightly to
  use more of available space.
- Corrected an issue in which stopping BD-RB during
  audio encoding would leave the WAVI and AFTEN
  processes running.  As a result, restarting soon
  afterward could cause unpredictable anomalies in
  the audio, including sync and size issues.
- Changed an option in X264 command line that may
  have caused "crash" on certain types of sources.
- Added check to ensure original video is not kept
  intact when filter use is enabled.
- Removed inverse telecining from the streams menu.  
  Too many people don't understand IVTC and are 
  using it incorrectly.  If you wish to IVTC, just
  select it in SETUP.  If you want it back -- add
  the hidden value "IVTC_SELECTION=1" to the BD-RB
  configuration (INI) file.
- Added 720x480 and 720x576 as output options to
  Alternate output choices.  Note that you cannot
  use this size for iPOD output as it is larger
  than the 640x480 maximum for that device.
- Corrected an error in which the frame rate was
  set incorrectly for MP4 output when using 
  ALTERNATE output and IVTC was active.
- Fixed incorrect pass reporting during alternate
  output to MKV.
- Updated the included version of X264.EXE to the
  latest release (r1745).
- Updated the included version of X264-64.EXE to 
  the latest release (r1745).
- Other minor corrections and cosmetic fixes.

October 6th, 2010 - v0.35.1
- Added code to workaround certain types of audio 
  and subtitle extraction errors when working with 
  high count multi-part sources in movie-only mode.
- Corrected an error in which audio/sub tracks may 
  be incorrectly identified by track/language when
  reencoded using movie-only mode from a multi-part
  source with a large number of segments.
- Added the ability to inverse telecine interlaced
  sources.  You select it by right-clicking on the
  stream in the stream list.  This can dramatically
  improve picture quality on hard or soft telecined
  sources by encoding at 23.976 with pulldown flags
  rather than 29.97.  Note:  Please be careful in
  using this option as executing inverse telecining 
  on a non-telecined source will result in a 
  severely stuttering picture.  It is not uncommon 
  for new users to confuse interlaced "combing" with 
  telecining.  Since some types of inverse telecining 
  requires AVISYNTH, LAVF usage for a stream may be 
  by-passed when it IVTC selected.
- Added a new selection to the SETUP dialog to enable
  automatic Inverse Telecining (IVTC) of sources 
  where pulldown/soft telecine is detected. This 
  option  instructs BD-RB to inverse telecine during 
  decoding and to reinsert pulldown flags on any 
  detected soft telecined (3:2 pulldown) 29.97fps 
  sources. IVTC also converts soft telecined 1080i 
  sources to 1080p. IVTC is recommended for 
  processing sources that are targeted for playback 
  on standalone units, but may not be suitable if the 
  final playback device is a  PC as some PC codecs 
  (e.g. the FFDSHOW AVC codec) don't sometimes play 
  back smoothly when pulldown flags are used.  
  Automatic IVTC for individual streams can be 
  manually deselected via the stream list (see bullet 
  1 above). 
- Corrected several instances in which a failed demux
  in TSMUXER could incorrectly result in the error
  "ExtractAudio Subs() 00053 1605" or other errors.
- Added a fix that corrects bad characters in the 
  source Volume ID that could prevent the creation 
  of the output folder. 
- Added code to distinguish between full pulldown and
  hybrid sources. Hybrid is marked with "***" in the
  streams window, soft telecine (pulldown) is "*".
- Corrected an error in which using LAVF on hybrid or
  pulldown sources could cause audio sync problems.
- Corrected an error in which starting and stopping
  a full backup under certain circumstances could
  cause incorrect OUT time values to be inserted
  during MPLS file updates.
- Updated the included version of X264.EXE to the
  latest release (r1732).
- Updated the included version of X264-64.EXE to the
  latest release (r1732).
- Other minor corrections and cosmetic fixes.

September 19th, 2010 - v0.34.11
- Fixed a bug in which one-pass CRF encoding did not
  work when the LAVF decoding option was selected.
- Added more workarounds for certain types of badly 
  authored sources that could cause audio out-of-sync
  in movie-only mode.
- Corrected audio sync issues associated with movies
  output to ALTERNATE movie-only formats. This fix is 
  related to leading M2TS file workarounds that were 
  implemented in BD-RB v0.34.10.
- Updated the included version of X264.EXE to the
  latest release (r1722).
- Other minor corrections and cosmetic fixes.

September 15th, 2010 - v0.34.10
- Corrected an error in which the SETUP dialog was
  not correctly initializing the "Keep only BDMV and
  CERTIFICATE folders" checkbox upon load.
- Created a workaround for an issue in which some 
  poorly authored multi-part sources that have a 
  leading M2TS without audio can result in audio that 
  is out-of-sync on movie-only backups.
- Created a workaround for an issue in which some
  poorly authored multi-part sources that have a
  leading M2TS without subtitles can result in a
  movie-only backup in which subs do not exist.
- Other minor corrections and cosmetic fixes.

September 10th, 2010 - v0.34.09
- Fixed ALTERNATE CRF encoding that was broken in
  v0.34.08.
- Corrected an issue in which encoding of secondary
  video streams would fail if using the LAVF decoder.
- Updated the included version of X264-64.EXE to the
  latest release (r1713).
- Other minor corrections and cosmetic fixes.

September 5th, 2010 - v0.34.08
- Added an option to the SETUP dialog that instructs
  BD-RB to use X264's internal LAVF decoder wherever
  possible (bypassing usage of HAALI and FFDSHOW). 
  Also added the 64 bit version of X264 tothe TOOLS 
  folder.  That version will be used when LAVF is in 
  effect and a 64 bit O/S is detected. This has been 
  reported to improve processing speed depending upon 
  the source  stream type and number and type of 
  processor cores. Note that some streams cannot 
  currently be processed by LAVF, such as interlaced 
  VC-1 or when filtering is in effect. In those cases 
  BD-RB will automatically revert to standard FFDSHOW
  and AVISYNTH processing.  It's suggested that you 
  try it and if you like it, keep it checked. This 
  feature has been implemented in preparation for 
  possible future versions of X264 that may enable 
  complete processing of video sources without 
  additional "helper apps".
- Corrected an error in which ABR mode could be set
  incorrectly at startup.
- Completely rewrote the ALTERNATE output code.  I've
  changed it so the types of output are defined in a
  ALTERNATE.TXT file in the MISC folder.  This makes
  it easier to add additional formats in the future
  and to allow format definitions created by the user.
- Updated ALTERNATE output dialog so two-pass output
  with selectable bitrate can also be used.
- Corrected an issue in which BD-RB might incorrectly
  use original video when outputting to an ALTERNATE
  movie-only output selection.
- Added a new general option to the SETUP dialog. You
  can now select "Keep only BDMV/CERTIFICATE folders"
  and BD-RB will strip the extraneous file from the
  backup (e.g. PS3 zips).  This is especially useful
  for those to rip to ISO or read directly from the
  disc when doing full backups.  
- Corrected an error in which video streams could be
  incorrectly kept intact on movie-only AVCHD backups
  even when the CODEC is illegal (non-AVC).
- Added a check for zero filelength after encoding. In
  some cases X264 does not seem to return an error
  code and BD-RB continues thinking an encode was
  properly completed when it was not.
- Updated the included version of NicAudio.dll to the 
  latest release (v2.0.4).
- Updated the included version of X264.EXE to the
  latest release (r1713).
- Added the 64 bit version of X264.EXE, r1703, to the 
  zip package (renamed to X264-64.EXE).
- Other minor corrections and cosmetic fixes.

August 10th, 2010 - v0.34.07
- Fixed an error in which a secondary audio stream that
  was originally DD+ can be incorrectly flagged as DTS 
  Express in the CLPI file output.
- Corrected an error introduced in v0.34.05 that could
  result in "CreateAVS() 00000".
- Corrected an error that could result in a display of
  "Error 2501 SourceCheck() 00009".
- Updated the included version of X264.EXE to the
  latest release (r1688).
- Other minor corrections and cosmetic fixes.

August 2nd, 2010 - v0.34.06
- Removed "PROCESS_SECONDARY" as a hidden option. This
  option was the source of several seemingly unrelated
  issues.
- Added code to always check TSMUXER's M2TS length value
  in the CLPI file and correct when necessary.  It seems
  the value can be wrong and may cause player confusion.
- Modified the MPLS update routine so it checks original
  OUT times against those created by TSMUXER and correct
  where they differ. This could correct a slight stutter
  at M2TS change point on some software players playing 
  a multi-part feature on a full backup.
- Changed the default for open GOPs to "off".  It seems
  some software players and the PS3 may have rewind and
  fast-forward issues (pixelation).  Those who want to
  use it anyway can still choose it from the SETUP menu.
- Updated the included version of X264.EXE to the
  latest release (r1688).
- Other minor corrections and cosmetic fixes.

July 18th, 2010 - v0.34.05
- Added code to generate chapter files to be used with
  X264's "--qpfile" command.  This will assert I frames
  at appropriate points during encoding, should provide
  better continuity with the new open GOP structures,
  and may prevent possible slight delays at chapter 
  points during chapter seeking.
- Added an option to the SETUP dialog to enable or
  disable movie-only playback looping.  Unclicking the
  option will result in movie-only discs stopping at the
  end rather than restarting (looping).
- Corrected an error in which conversion to 720p for
  25fps sources was incorrectly setting the value used
  in AssumeFPS().  This could result in "slow motion"
  video and out-of-sync audio when converting to 720p on
  PAL area discs (25fps).
- Added a new hidden option called "KEEP_HD_LPCM".  If 
  set to "0" while also keeping HD audio for BD25, only 
  DTS and DD HD audio will be kept intact.  LPCM will be
  converted to AC3.  This is meant to help prevent huge
  LPCM audio streams from stealing too much space and
  negatively affecting video quality.  The default value 
  is "1".
- Updated the included version of X264.EXE to the
  latest release (r1677).
- Other minor corrections and cosmetic fixes.

July 8th, 2010 - v0.34.04
- Corrected an issue that would make BD-RB fail if the
  HIGH_PRIORITY option was selected.
- Corrected INPECT.EXE to not show the BD-RB version as
  outdated.
- Other minor corrections and cosmetic fixes.

July 8th, 2010 - v0.34.03
- Increased the default output size for BD-5 and BD-9
  encodes to use more of the available disc space.
- Added an AVS filter editor to the SETUP dialog.  This
  will allow you to add AVS filters to files.  Note that
  bug reports WILL NOT BE ACCEPTED when filters are in
  use (as errors are almost always caused by the filter
  usage).  You can add "E:", "F:", "I:", or "P:" as a 
  prefix to a line added in the filter editor.  The 
  prefixes represent "Extras", "Feature", "Interlaced", 
  and "Progressive" respectively.  When specified, the 
  prefix will limit that filter to usage only when the 
  source to be encoded matches the prefix.  For example, 
  if specifying "E:filter1()" the filter "filter1()" 
  would only be applied to segments that are determined 
  to be extras.  Setting "e:i:filter2()" limits use of 
  "filter2()" to segments that are extras -- and are 
  also interlaced.
- Added an additional priority choice.  You can now set
  to HIGH priority as well as NORMAL and IDLE.  It is
  still recommended to use IDLE, however, as it will
  best share the app with others running, but will still
  max out processors on a machine when CPU is available.
- Added open GOP encoding as the default.  This option
  can be selected or deselected from the SETUP dialog.
  Open GOPs can noticably improve picture quality for 
  blu-ray due to GOP size restrictions.
- Removed COLOR_BOOST from the SETUP dialog.  This option
  is rarely used or needed.  It still exists as a hidden
  option (see HIDDENOPTS.TXT).
- Updated the included version of X264.EXE to the
  latest release (r1666).
- Other minor corrections and cosmetic fixes.

May 29th, 2010 - v0.34.02
- Modified startup to search for and set a registry
  value for ImgBurn that tells it to reset the Copy
  Permission Flag during burn.  This has been reported
  to help maintain PS3 compatibility (and possibly
  other players) for full backups.  If for some reason 
  you don't want BD-RB to set this value you can add the 
  hidden setting "RESET_PERMISSION=0" to the config
  (INI) file.
- Other minor corrections and cosmetic fixes.

May 29th, 2010 - v0.34.01
- Changed the secondary intermediate file so it follows
  the same rules as primary.  Now the intermediate will
  be .264 except when MKV_INTERMEDIATE is set.  This is
  necessitated by changes to X264, and should correct
  issues experienced with secondary video on PS3 and
  other players that might be sensitive to it.
- Added "Remove OUTPUT folder" in the SETUP dialog. If
  selected, the output folder will be deleted after a
  successful burn (with ImgBurn).
- Created a workaround for an issue with X264's internal 
  FFMS decoding that could result in extremely blocky
  output on multi-part features as a result of confused 
  bitrate interpretation. BD-RB no longer uses FFMS for 
  multi-part features, it now uses X264's internal LAVF 
  demuxing.
- Updated the included version of X264.EXE to the
  latest release (r1613).
- Other minor corrections and cosmetic fixes.

May 24th, 2010 - v0.33.09
- Corrected an error in v0.33.07 in which interlaced
  sources might mistakenly use FFMS.
- Corrected an "PredictandEncode() 00058 2809" error that
  could occur in features that consist of a large number 
  of combined M2TS files following a stop/restart. This
  error was introduced in v0.33.07.
- Corrected an issue in which the status percentage and
  bar may incorrectly reflect completion status.
- Corrected a demuxing failure caused by long filenames
  that could occur during and ALTERNATE movie-only rebuild 
  on some sources with a large number of combined M2TS 
  files.
- Corrected an error in which "SHUTDOWN after Rebuild" no
  longer worked correctly in v0.33.07.
- Updated the FFMS selection routine so that it would
  include movie-only encodes when appropriate.  It seems
  the seamlessly branching titles might cause "stutter"
  in that case as well.
- Changed the way FFMS is used to prevent short flashes
  and out-of-sync audio on certain sources.
- Updated the included version of X264.EXE to the
  latest release (r1602).
- Other minor corrections and cosmetic fixes.

May 18th, 2010 - v0.33.08
- Internal test version.

May 16th, 2010 - v0.33.07
- Modified the AVS format so that  AssumeFramerate() is
  always used. This is meant to prevent mistaken or 
  miscalculated rates during the reencoding process and
  also avoids possible rounding errors.
- Changed settings on the iPad ALTERNATE settings to take
  advantage of CABAC and B-FRAMES.
- Corrected an "ExtractAudioSubs() 00053  1605" error that
  could occur in movie-only mode for features that consist
  of a large number of combined M2TS files.
- Corrected an issue in which frames could be lost and a
  "stutter" could be seen between segments of a seamlessly
  branched film when doing a full backup.
- Added a hidden option "SHUTDOWN_SLEEP=1" which will make
  the "Shutdown after Rebuild" option on the FILE menu to
  "Sleep after Rebuild" instead.
- Updated the included version of X264.EXE to the
  latest release (r1583).
- Other minor corrections and cosmetic fixes.

April 24th, 2010 - v0.33.06
- Fixed an error in which field order could be detected
  incorrectly on MPEG-2 interlaced sources.
- Updated the audio AVS so that sample rates and sample
  sizes that are not compatible with AFTEN AC3 output are
  converted before being sent to the encoder.  This fixes
  some issues that cause audio encoding failures.
- Added two hidden settings related to secondary video
  encoding.  SECONDARY_USE_QUALITY=1 tells BD-RB to use
  the same quality settings for secondaries as is used
  for primary video.  SECONDARY_CRF=n sets a CRF value to
  be used for secondary video.  Be careful... any bitrate
  you use for secondaries is stolen directly from the
  primary video.
- Changed the x264 profiles used with the "Good" and
  "Better" quality selections in order to allow for more
  discrete differences.  The "Good" quality selection now
  uses the x264 "--superfast" profile and the "Better"
  selection uses "--faster".
- Tweaked the "Automatic" quality selections to adjust for
  the changes in profiles.  Also added greater distinction
  in quality selection for different input video sizes.
- Updated the included version of X264.EXE to the
  latest release (r1563).
- Other minor corrections and cosmetic fixes.

April 21st, 2010 - v0.33.05
- Corrected an error in which "?" may appear in the
  label name for certain types of non-western characters.  
  Now if a "?" is found it is replaced by "X".
- Added an new audio option under setup.  You can now
  select to reencode audio to 192Kbs 2ch AC3 audio
  rather than 5.1 AC3 (448Kbs/640Kbs).
- Made a update to the X264 command line to distinguish
  between TFF and BFF interlaced sources. In previous
  versions it was possible for a BFF source (rare) to
  be encoded as TFF and cause "jitter".
- Corrected an error in which some MPEG-2 interlaced
  sources might not be tested for pulldown or BFF flags.
- Corrected an error in which 576i sources that use
  pulldown might be incorrectly interpreted.
- Changed the default value for DEINTERLACE and added it
  to the SETUP dialog.  Now that X264 has more inclusive 
  default (non-patched) support for interlacing, BD-RB 
  will no longer deinterlace by default.  You can change
  the desired action by setting the "Use DECOMB on 
  interlaced sources" selection of the video options in 
  SETUP.
- Made a change to the AVS files generated by BD-RB so
  they don't conflict with the new interleaving added
  to X264 r1542.
- Fixed an error in the "Automatic" quality selection
  code that could have made it more likely to use 1 pass
  encoding on BD-5 encodes than was intended.
- Updated the included version of X264.EXE to the
  latest release (r1542).
- Other minor corrections and cosmetic fixes.

April 9th, 2010 - v0.33.04
- Moved the reporting from "INSPECT.EXE" into BD-RB so
  it will be activated after any encoding failure.
- Made tweaks to the "Automatic Quality Settings" that
  adjusts a little more finely based on source size.
- Corrected an error in which movie-only alternate
  output could error when the original satisfied the
  output sizing "no reencode necessary" criteria.
- Corrected a bug introduced in v0.33.03 that would
  result in runtime error 11.
- Updated the included version of X264.EXE to the
  latest release (r1523).
- Other minor corrections and cosmetic fixes.

April 3rd, 2010 - v0.33.02
- Added a new option "Other Movie-Only Ouput" to the
  MODE menu.  This allows you to create other types of
  files (rather than BD).  The current choices are for
  iPOD and iPAD (.MP4) files) and MKV output, but I 
  expect to add other choices in future releases. The 
  output to alternate formats does not attempt to reach 
  target sizes, but instead uses a fixed CRF which can 
  be set via the "ALTCRF=n" hidden parameter.  The 
  default value for ALTCRF is 21.
- Added an "Automatic Quality Settings" option to the 
  "Encoder Settings" menu.  When selected, BD-RB will
  automatically make quality selections based upon the
  type and size of output.  This option is meant to
  help avoid confusion caused by the numerous options.
  The default setting is now "ON".
- Changed default for for b-pyramid to "strict"
- Added some control code to prevent certain options
  from creating non-compliant streams.
- Updated the included version of X264.EXE to the
  latest release (r1510).
- Other minor corrections and cosmetic fixes.

March 8th, 2010 - v0.32.08
- Added "--pic-struct" to command lines.  This should
  ensure a greater level of strict BD compliancy.
- Added "--b-pyramid none" to the command line.  This
  should prevent problems on some playback devices.
- Other minor corrections and cosmetic fixes.

March 7th, 2010 - v0.32.07
- Added a new option to the "Output Options" menu.
  You can now select to output to an ISO file rather
  than burning directly to disc.  Both options require
  ImgBurn to be installed on your computer in order to
  be enabled.
- Added a new hidden option.  "REMOVE_OUTPUT=1" added
  to the "[Options]" area of the config/ini file will
  instruct BD-RB to remove the output folder after a
  successful burn or write to ISO.  It has no affect if
  one of the ImgBurn options isn't selected. If used in
  conjunction with "REMOVE_WORKFILES=1", virtually all
  temporary files are removed after successful encoding,
  rebuilding, and writing occurs. This can be handy for
  systems with limited disc space during BATCH operations
  See HIDDENOPTS.TXT for details and use with caution.
- Corrected an error in which changes in audio or
  subtitle selections were not being kept in batch
  mode.
- Changed the default setting for intermediate files. The
  MKV format was not compatible with AUD & NAL-HRD output, 
  and was the cause of issues with Panasonic and PS3 
  players when the NAL-HRD patch was used.  The hidden
  MKV_INTERMEDIATE option still exists but its default has 
  been changed to "0" -- and NAL-HRD is now disabled when 
  it is manually set to "1".  Many thanks to shon3i and 
  Discoboy for helping put this issue to bed.
- Changed the settings so that NAL-HRD is once again used
  in encodes.  This should make the output more compliant
  with BD specs.
- Added Media Player Classic to the package.  You can now
  review video by right clicking on it from the streams
  list.  It helps you know what video is related to which
  streams.  This feature is added in preparation for
  future stream editing options (like blanking streams or
  converting to "slideshow").
- Updated the included version of X264.EXE to the
  latest release (r1471 with nal-hrd patch).
- Other minor corrections and cosmetic fixes.

February 26th, 2010 - v0.32.05
- Disabled NAL-HRD processing in X264.  Recent patch
  releases have proven problematic on certain players
  (mainly Panasonic).  TSMUXER performs insertion of
  necessary information, but the NAL-HRD patch was used 
  due to its greater degree of blu-ray compliancy. It
  appears that this is no longer the case, or at least
  that it isn't in current versions.   
- Updated the included version of X264.EXE to the
  latest release (r1462 without nal-hrd patch).
- Other minor corrections and cosmetic fixes.

February 25th, 2010 - v0.32.04
- Modified the command structures to support the new
  format for X264's --nal-hrd switch.  This will make
  older versions of X264 fail, so please take note.
- Updated the included version of X264.EXE to the
  latest release (r1462 w/nal-hrd patch).
- Other minor corrections and cosmetic fixes.

February 23rd, 2010 - v0.32.03
- Restructured the format of the SETUP dialog in prep
  for some upcoming changes.
- Corrected another formatting issue in ExtensionData()
  entries of the MPLS and CLPI files.
- Fixed an issue in which some updated CLPI and MPLS
  files may not be kept consistent between primary and
  backup directories on movie-only encodes. 
- Added a new hidden option "PASS_TWO_STATS_UPDATE".
  When set to "1", the parameter "--pass 3" will be
  used so that the .stats file will be updated.
- Other minor corrections and cosmetic fixes.

February 21st, 2010 - v0.32.02
- Corrected an "off-by-one" error in movie-only MPLS
  file's ExtensionData() structure for AVCHD discs
  created with v0.32.01 
- Other minor corrections and cosmetic fixes.

February 21st, 2010 - v0.32.01
- Added an option to modify the audio stream that is
  to be considered "default" for movie-only backups.  
  Normally that would be the first stream kept.  Now
  you can right click on any "kept" audio stream in
  the streams list and select it as the default audio.
- Corrected an error in which the "FORCE_NEW_CHAPTERS"
  option could result in incorrect output for BD-5/9
  movie-only encodes. 
- Added code to append ExtensionData() information to
  AVCHD output (BD-5/9) movie-only encodes.  This will
  provide a greater compatibility of the movie-only
  format across different player types/brands.  Many
  thanks to DeanK for his helpful insight into AVCHD 
  formats.
- Updated the included version of X264.EXE to the
  latest release (r1442 w/nal-hrd patch).
- Other minor corrections and cosmetic fixes.

February 11th, 2010 - v0.31.08
- Fixed an issue introduced in v0.31.07 in which some
  streams may be incorrectly included in the audio
  streams list.
- Regressed the included version of X264.EXE to a
  previous release (r1400 w/nal-hrd patch).  There
  were some reported issues on some Intel processors
  with the EXE distributed with v0.31.07.
- Other minor corrections and cosmetic fixes.

February 10th, 2010 - v0.31.07
- Corrected an error in which BD-RB may convert audio
  to AC3 even though it has not been selected to do so
  in the SETUP dialog.  This could happen only when a
  previously X'ed out track has been selected via the
  stream list GUI.
- Added an option to "force" subtitles on movie-only
  encodes. You can select the subtitle to be displayed
  by default by right-clicking on the appropriate sub
  in the "Stream" list.  You can unselect in the same
  manner.  Note that the setting is (purposefully) not
  persistent between BD-RB runs.
- Improved program resiliency to certain types of
  source errors.  
- Corrected some error reports to reflect a more
  accurate depiction of errors encountered.
- Modified the default setting for "VERBOSE" mode. It
  is now "On" as the default setting.
- Increased default output size for BD-25 slightly.
- Updated the included version of X264.EXE to the
  latest release (r1416 w/nal-hrd patch).
- Other minor corrections and cosmetic fixes.

January 5th, 2009 - v0.31.06
- Modified the "High Speed Option (BD-25)" setting so 
  that it now includes b-frames in its output.
- Default CRF values for BD-5/9/25 under "Quick Encode"
  mode has changed to 30/25/22 to approximate quality on
  extras.  They can, of course, be overridden using the
  QUICK_CRF=nn hidden command.
- Corrected an error in which the overall status bar was
  not being updated correctly when one-pass ABR mode was
  selected.
- Added additional error checks and reporting following
  a failed encode.
- Corrected an error in which updated MPLS files were
  not being properly copied to the BACKUP\PLAYLIST 
  directory.
- Updated the included version of X264.EXE to the
  latest release (r1376 w/nal-hrd patch).
- Other minor corrections and cosmetic fixes.

December 8th, 2009 - v0.31.05
- Added code to recognize "streams are not syncronized"
  errors from TSMUXER and take action to automatically
  workaround by extracting video/audio streams 
  independently.  This should fix it in most cases.
- Build a workaround routine for movie-only encodes in
  which the TSMUXER output filename during A/V extract
  violates length restrictions and causes "Can't create 
  output file" error.
- Added new hidden option "USE_NAL_HRD=n".  If set to
  "1" (the default) the "--nal-hrd" parameter is used in
  the command line.  This requires an X264 build which
  includes the NAL-HRD patch (as is is the one included
  with BD Rebuilder). Setting to "0" (not normally
  recommended) disables the "--nal-hrd" switch.
- Corrected an error that could cause movie-only backups
  to not extract and remux properly when small enough to
  fit on the target and it consists of multiple parts.
- Updated the included version of X264.EXE to the
  latest release (r1360 w/nal-hrd patch).
- Other minor corrections and cosmetic fixes.

streams are not syncronized
December 4th, 2009 - v0.31.04
- Replaced the included X264.EXE with a different build.
  (0.31.04)
- Corrected an error in which could result in audio sync
  issues.  This was related to the depth of search for
  pulldown in MPEG-2 and VC-1 sources.
- Updated the DirectShow configuration routine to check
  all FFDSHOW settings and execute if any are not set
  correctly.
- Added a new hidden parameter. "FORCE_NOENCODE=1" will
  tell BD Rebuilder to keep the origina video intact, no
  matter what size.  Note that if you have "FORCE_ENCODE"
  set as well, encoding will take precedence.
- Added the "--nal-hrd" option to the X264 command line
  to provide better Blu-ray compatibility (as opposed to
  depending upon TSMUXER).
- Add a new hidden parameter. "WEIGHTP=n" enables or
  disables explicit weighted prediction on p-frames.  This 
  is to counter several reports of "blockiness" on systems 
  that do not properly support it.  Setting "WEIGHTP=1" 
  will enable the feature, the default value is set to "0"
  in order to avoid having to explain the issues. Note, 
  however, that the reported issues are in the players -- 
  not the encoder or feature itself.
- Updated the included version of X264.EXE to the
  latest release (r1354).  Also now use a version that
  includes the "--nal-hrd" patch.
- Corrected an error in which "576p" was not displayed
  properly in the streams list when detected.
- Other minor corrections and cosmetic fixes.

November 17th, 2009 - v0.31.02
- Removed FFMS2.DLL from the installation as a backup
  method when FFDSHOW was not being called.  It seems
  to have caused more problems than it solved.
- Added checks for necessary software installations at
  startup to identify shortfalls and help prevent
  "failed encoding" errors.  Note:  You MUST have
  HAALI, FFDSHOW, and AVISYNTH installed to run BD-RB
  now -- there are too many issues when they are not.
- Added code to configure FFDSHOW as the preferred
  CODECs for DirectShow when not set correctly.  BD-RB
  also generates a file called "FF_RESET.BAT" in the
  BD-RB folder that will reset the original DirectShow
  preferences (in case they need to be restored for some 
  reason).  A special thanks to Atak_Snajpera for his
  helpful insight.
- Updated the included version of X264.EXE to the
  latest release (r1342).
- Other minor corrections and cosmetic fixes.

October 30th, 2009 - v0.31.01
- Corrected an error in which some larger menus were
  not being processed as such, and did not display
  graphic overlays correctly.
- Corrected an error that can result in out-of-sync
  audio and playback problems on some MPEG-2 sources
  that use pulldown flags.
- Created two new hidden options that will allow a
  user to tweak the X264 command line.  The options
  are "TWEAK_PASS_ONE=" AND "TWEAK_PASS_TWO=".  Any
  assigned options will be passed to and override
  setting on the default command line.  Note:  Any
  settings that could contradict BD standards are not
  allowed to pass through to the command line.
- Added hidden option "KEEP_MBTREE".  Normally BD-RB
  removes the .stats.mbtree file after successful
  encode.  This will keep the (rather large) file so
  additional passes might be done (manually).
- Corrected an error in the updating of the STN_table()
  related to type of stream_entry().  This could be a
  cause of issues on certain titles with PiP.
- Fixed an error in the calculation of the new sync 
  start PTS of some SubPlayItems.
- Corrected a glitch in BATCH mode so that Alternate 
  Playlists are recorded and used during batch.
- Updated the included version of X264.EXE to the
  latest release (r1310).
- Other minor corrections and cosmetic fixes.

October 11th, 2009 - v0.30.04
- Corrected an error in which the SubPlayItem OUT
  value was not being updated properly in the SubPath
  table of the MPLS.  This could be the root cause of 
  several reported inconsistencies.
- Other minor corrections and cosmetic fixes.

October 10th, 2009 - v0.30.03
- Changed default for "High Speed (BD-25)" setting
  so that it now uses CABAC. This corrects the 
  blockiness experienced in fade-ins and low light 
  scenes.
- Modified settings so the VC-1 video is never set to
  be blanked.  Removed associated code.
- Added FFMS2.DLL to package.  It is automatically
  used for decoding when a failure is detected after
  on attempt to encode.  This should bypass certain
  errors when DirectShow filters are misconfigured, or
  when the Windows 7 registry fix wasn't completed.
- Added a hidden setting "USE_FFMS2=1".  When enabled
  this setting uses FFMS2.DLL as the primary method
  of frame serving.  Note:  As of this release FFMS2 
  does not decode field based sources (those marked
  with a "**" in the stream list). But I'm hoping a
  solution will be found for this soon.
- Removed "--fps" from the X264 command line.  The
  AVS now sets thet bitrate.
- Added a new hidden option "QUICK_USE_QUALITY=1" in
  which, when set, BD-RB will use the currently chosen
  quality level in quick extra encodes rather than the
  default of "--ultrafast" mode.
- Fixed an error in which the source aspect ratio for 
  video resized from SD to HD was not being set 
  properly. 
- Other minor corrections and cosmetic fixes.

September 29th, 2009 - v0.30.02
- Fixed a bug in which the AUDIO_AMPLIFY hidden INI
  setting was not being read properly.
- Corrected an error in which non-strict movie-only
  output to BD-5/9 was being written as "--blu-ray" 
  rather than "--avchd".  Also made "no slices" and 
  "--level 4.0" restrictions to BD-5/9 movie-only 
  encodes even when "strict" is not selected. Reversed 
  the v0.30.01 change -- "strict AVCHD" is no longer 
  the default. I'm afraid that change may cause too 
  much confusion for people who have found the "sweet 
  spot" for their particular player (especially the 
  removed directories).
- Other minor corrections and cosmetic fixes.

September 28th, 2009 - v0.30.01
- Corrected an issue in which the SETUP checkbox for
  "SD to HD (720p)" was not being set properly when
  the SETUP dialog is initialized.
- Updated the maximum bitrate for BD-25 encoding to
  a higher rate to lower the undersizing probability.
- Removed "--slices 4" when HDDVD_COMPLIANT is set.
- Corrected an error in initial CRF calculation on
  very high bitrate encodes.
- Corrected the CRF sample size calculation for those
  instances where framerate is doubling (e.g. 29.97fps
  is not allowed -- and is converted to 59.94fps when
  720p resizing is selected).
- AVCHD output restrictions have been removed for all
  BD-25 output.  BD-25 movie-only now uses the TSMUXER
  "--blu-ray" option.
- Added new restrictions that are enforced when "Strict 
  AVCHD for BD-5/9 Movie-Only" is selected.  These new
  restrictions are intended to make AVCHD work on more
  players by becoming more compliant with the multiple
  AVCHD standards being created by camcorders. Now when
  this option is set all AVCHD output is limited to
  to Level 4.0, "--slices" are not included, the bitrate 
  is set to a 17.5Mbs maximum, and audio is always
  converted to Dolby Digital (DD is the only supported
  audio codec in AVCHD).
- Added a new hidden parameter for those who wish to
  ignore the AVCHD requirement for DOLBY DIGITAL audio.
  "OVERRIDE_AVCHD_AUDIO_LIMIT=1" will remove the "always
  convert to DD" restriction and audio will be included
  per the choices made in the SETUP dialog.  Using this
  option is not recommended in most cases.
- Strict AVCHD compliance is now the default for BD-5
  or BD-9 movie-only encodes. The "FORCE_BLURAY" hidden 
  option has been removed. The equivalent of that 
  setting can be created by deselecting "Strict AVCHD 
  BD-5/9 Movie-Only".
- Corrected channel mapping when converting from 7.1 to
  5.1 audio for AC3 reencoding.
- Updated X264.EXE in zip distribution package to the 
  latest (r1171) version.
- Other minor corrections and cosmetic fixes.

September 21st, 2009 - v0.29.05
- Corrected an issue in which, while the new audio
  delay routine in v0.29.04 was finding the delays 
  correctly, they weren't being properly applied at 
  remux.  It should work correctly now.
- Corrected an error in BATCH mode that could result
  in "RebuildFiles() 00075 2202" when output folder
  already exists.
- Corrected an error in which small files that are a
  part of a multi-part movie-only encode could cause
  a "Can't open file: ...\VID_XXX.AVS.264"
- Added code to adjust initial value when using CRF
  while resizing to 720p.  Should reduce prediction
  passes.
- Fixed an error in which sometimes (when PiP exists)
  the selection of 720p resizing was not following 
  through in the encode.
- Made changes to ensure that all 720p encodes held to
  BD specs -- especially when converting 29.97 or 25fps
  sources (requires framerate doubling).
- Added "AssumeFPS()" to the AVS file when appropriate
  to make frame timing more exact.
- Corrected an error in which resizing would not occur
  when destination space would not require encoding.
- Added a new setting to the SETUP dialog that will
  convert standard definition (SD) sources (480/576) 
  to 720p.  This mode is useful for SAPs that always 
  output in wide screen mode giving a "stretched"
  appearance to SD sources.  It may also improve 
  picture quality on some sources.
- Added "--qpmin=0" to all command lines.  This should
  reduce the likelihood of undersizing on high bitrate
  encodes.
- Updated X264.EXE in zip distribution package to the 
  latest (r1159) version.
- Other minor corrections and cosmetic fixes.

September 13th, 2009 - v0.29.04
- Made one more adjustment to prevent "GUI Issue,
  no hWnd returned".  I think this may be gone for
  good now.  It finally became clear as to what was
  causing this to randomly occur.
- Fixed an error in which progressive output could
  under some circumstances be created at an illegal
  (29.97fps, 25fps) framerate.
- Changed the default processing for interlaced
  sources.  All sources that are interlaced now are
  kept interlaced in the output.  This means the
  "KEEP_INTERLACING" INI setting has been removed
  (as unnecessary)
- Added a "DEINTERLACING=" hidden option, see the
  description in HIDDENOPTS.TXT for details.
- Changed the type of AVISYNTH preprocessing used to 
  ensure comb-free deinterlacing.  Interlaced sources 
  should be more crisp, and free of jagged edges now.
- Corrected a "Selected source is not BD format" error 
  that could happen on very small sources.
- Added a "quick search" function to identify sources
  that are Bottom Field First (BFF) interlaced.
- Added code to scan all M2TS files and find audio
  streams that have delayed PTS times (for correction).
- Other minor corrections and cosmetic fixes.

September 8th, 2009 - v0.29.03
- Made another adjustment to attempt to prevent the
  dreaded "GUI Issue, no hWnd returned" error.

September 7th, 2009 - v0.29.02
- Made changes to the code for collecting the hWnd
  of X264 and updating progress.  It appears that
  X264 can have more than one top level hWnd that
  is associated with its process id, causing BD-RB
  to sometimes look for status in the wrong place.
- Corrected an issue in which stopping an encode in
  ABR mode, and then resuming in 2 pass could cause
  BD-RB to fail (no .STATS file).
- Updated the Movie-Only playlist selection dialog
  so it accurately displays chapters (rather than
  marks).  Also corrected the chapter output to the
  .META file in the same way.  This should prevent
  meta files with too many chapters.
- Updated X264 version to the latest release (r1251)
- Other minor corrections and cosmetic fixes.

September 5th, 2009 - v0.29.01
- Added a new "One-Pass AVR Mode" selection to the
  "Encoder Settings" menu.  This will perform the
  encode at the quality level you've selected but
  will use one-pass ABR encoding.  Generally this
  mode results in lower quality than two pass mode
  with the same quality setting, but it is faster.  
  Aimed primarily for use on BD-25 encodings.
- Added code to CRF estimation routine that reduces
  the probability of oversizing.  CRF prediction is
  never exact, but this should make it less inexact.
- Rewrote routine to find X264 window handle.  This
  fixes the possibility that BD-RB might incorrectly
  report the status of another concurrently running 
  X264 process.  It also should fix the "GUI Issue,
  no hWnd returned" error that seems to randomly 
  occur on certain systems.  Thanks to Groucho2004.
- Changed the X264 command lines for all encoding
  modes to implement the new "--slices" parameter.
  This enables the software to ensure 100% compliance
  with the BD standard -- even on this unique rule
  that has not been enforced on any currently known
  playback system. 
- Implemented a workaround for a bug in TSMUXER in
  which it doesn't properly multiplex multiple MKV
  files into a movie-only M2TS stream.  This should
  fix issues with chapter jumps and FF/RW on certain
  sources.
- Made a change to the Movie-Only selection criteria
  to avoid selecting "low chapter" MPLS files when
  more standard chapter counts are available.  Also
  added an indicator in the Playlist selection dialog
  that shows how many chapters each MPLS contains.
- Added code to ScanDirectory() to prevent crash if
  an illegal filename is encounterd (error 00052).
- Updated X264 version to most recent (r1247) which
  includes speed improvements, new options and small
  bug fixes.
- Other minor corrections and cosmetic fixes.

August 22nd, 2009 - v0.28.04
- Changed the default behavior for handling
  PiP/secondary audio/video.  PROCESS_SECONDARY
  now defaults to "1" (true) and full backups will
  include secondary audio/video.
- Fixed an error related to PiP and extension data
  tables in which some timestamp entries may not have
  been updated.
- Fixed possible "CorrectMPLS()00006 2408" that may
  occur during rebuild.
- Added a specialized hidden setting that is meant
  for special circumstances. "HDDVD_COMPLIANT=1" in
  the "[Options]" area of the INI will force certain
  parameters to be used and will limit bitrate to
  that legal for HD-DVD playback.  Note:  This does
  NOT mean you can playback your output on an HD-DVD
  player.  It only means the stream will be encoded 
  in a way that is compliant for certain post BD-RB
  software packages to use it in creating HD-DVDs.
  If selecting this option with BD-25, it is likely
  you will undersize due to bitrate constraints.
- Added code to better select the movie-only MPLS.
  Now when there are two large MPLSs within 10% of
  each other, the default is the 2nd largest (which
  is generally the non-extended or non-commentary
  version).  You should still check the "Alternate
  Movie-Only Playlist" just to be sure.
- Corrected an error in the CRF prediction routine.
- Updated X264.EXE to the most recent version (r1222)
- Other minor corrections and cosmetic fixes.

August 10th, 2009 - v0.28.03
- Corrected an error introduced in v0.28.01 that
  could result in an incorrect update to the MPLS
  file or more likely "CorrectMPLS() 00063 2408".
- Added code to reduce the number of iterations
  needed to reach CRF in the GetCRF() estimation
  process.  It was affected by the MBTREE algorithm.
- Updated the X264 executable to r1206.
- Other minor corrections and cosmetic fixes.

August 9th, 2009 - v0.28.02
- Updated the one-pass CRF routine to prevent a rare
  but possible "forever loop". 
- Fixed an error introduced in v0.28.01 that could
  cause timing issues on some very small sources.
- Other minor corrections and cosmetic fixes.

August 9th, 2009 - v0.28.01
- Added a Batch processing feature.  This allows you 
  to queue up multiple jobs, especially useful when 
  you decide to let BD-RB run overnight. Right-click 
  in the batch area to see action options.
- Rewrote the MPLS update routines to better handle
  SubPath() updates related to remuxing of secondary 
  audio and video streams. Also fixed the updating
  of pip_metadata() tables. This should correct the
  remaining issues with PiP video processing with
  the exception of DTS audio demuxing/muxing.
- Added a "hidden" option to force encoding (helpful
  when using filters) even when the source would fit
  in the output.  You can set it by adding the line
  "FORCE_ENCODE=1" to the "[Options]" area of the
  config file (INI).
- Updated some encode settings to ensure Blu-ray/4.1
  compliance for the "Highest Quality" mode.
- Upgraded the included X264 executable to r1198. This
  version includes "Macroblock Tree Rate Control". It
  should produce higher quality if you are using the
  "Better, High Quality, or Highest" encoding settings.
  Note: This is really cool -- Dark Shikari rules.
- Corrected an error in which the "Remove WORKFILES"
  option was not being correctly set at dialog startup.
- Other minor corrections and cosmetic fixes.

August 5th, 2009 - v0.27.01
- Added the capability to reencode secondary video
  streams. These were previously copied intact, and
  as a result used excessive amounts of space, making
  the overall encode quality drop.
- Corrected an error related to secondary tracks and
  how they are updated in the SPN tables.  This fix
  should correct some of the problems related to 
  playback of video with PiP.  Some PiP issues remain 
  and are being researched.
- Fixed an issue in which on some multiangled sources
  the angles may not be properly included in the list
  of items to be reencoded.  This should fix the issue
  where one angle appears to work and another is blank.
- Modified encode quality settings so that they now use
  the X264 PRESETS.  This makes setting more managable 
  and keeps BD-RB in line with X264 
  development.
- Corrected an error in which the percent completed
  reported during a minimized state could incorrectly
  report 100% overall completion when not true.
- Updated the included X264.EXE in the TOOLS folder
  to the lastest tested version (r1195).
- Implemented new settings for first pass of two pass
  encodes.  Should reduce overall encode times.
- Other minor corrections and cosmetic fixes.

August 3rd, 2009 - v0.26.03
- Recompiled to prevent false positive for "Artemis"
  in McAfee.  Same as v0.26.02.
- Other minor corrections and cosmetic fixes.

August 1st, 2009 - v0.26.01
- Added MKVMERGE.EXE and supporting code within
  BD-RB to support reencoding of field-based sources
  now no sources will be blanked automatically. My
  thanks to apophis906 for pointing me in the right
  direction.
- Corrected a bug in which secondary audio was being
  kept even when "PROCESS_SECONDARY=" is set to "0".
- Made changes to the way in which STN tables are
  updated when "PROCESS_SECONDARY=" is set to "0". 
- Added code to automatically adjust the source path 
  when someone selects BDMV or STREAM directories.  
  Some folks who have gotten accustomed to certain 
  other packages just have a hard time understanding 
  where the source path BD structure actually starts.
- Corrected an issue in which the type and sample
  frequency of removed audio was sometimes not be 
  updated properly in the STN table of the MPLS.
- Made an additional adjustment to CRF estimation to
  make it slightly more accurate.
- Corrected error "00011, PredictandEncode(), 2810"
  that can occur on certain sources.
- Changed the SAR on 720x480 and 720x576 sources. It
  has reported that the new settings solve widescreen
  playback issues.
- Modified the error reporting for "Audio/PGS sizing
  Issue" (when the audio/pgs that is kept makes the
  output too large to fit what is required).  Now it
  only is reported on sources greater than 5 minutes.
  Others continue with fixed CRF.  Note that if you
  have a source that consists of a LOT of < 5 minute
  sections and you are keeping more audio than should
  fit (very unlikely) you may see oversizing.
- Other minor corrections and cosmetic fixes.

July 22nd, 2009 - v0.25.04
- Modified EXE compression to prevent false positive 
  from AV program(s).
- Added code to prevent "forever loop" in one-pass
  prediction under certain unusual circumstances.
- Added a default background image to be used when
  blanking occurs.  You can change if you wish, but
  remember it will be stretched/shrunk to match the
  source resolution.  Look in the new MISC folder.
- Other minor corrections and cosmetic fixes.

July 19th, 2009 - v0.25.02
- Replaced the prediction algorithm for one-pass
  encoding.  It now does prediction passes until it
  finds the correct CRF.  This should be much more
  accurate - but please remember it may take 
  slightly more time and is still experimental.
  Note: On very small sources it can be faster to
  do a first pass than to predict CRF.  When BD-RB's
  analysis indicates this to be the case, a two-pass 
  encode will be done, even when one-pass mode is 
  selected.
- Corrected issues found in update of MPLS STN
  tables for secondary audio and video streams.
- Made changes to secondary audio processing that
  should make DD+ PiP tracks start working. Note:
  you must have "PROCESS_SECONDARY=1" set in INI.
- Updated X264 to r1183, this new version includes
  speed improvements and other fixes/enhancements.
- Made changes to all X264 command lines to make
  BD-RB compatible with new defaults starting in
  X264 r1179.  This means that BD-RB now requires
  X264 version r1179 or higher.
- Added "--ipratio 1.1 --pbratio 1.1" to the 
  encoding command line to lessen "pulsing" on 
  sources that are very highly compressed.
- Added code to recognize and workaround encoding
  issues on very small sources.
- Changed "Quick Encode for Extras" so it is ON by
  default. Most encode will benefit with faster
  completion.
- Other minor corrections and cosmetic fixes.

July 8th, 2009 - v0.25.01
- Implemented a one-pass CRF mode.  This estimates
  the CRF needed for the required size and reencodes
  using a single pass.  Note that this mode is new
  and is experimental -- use for testing only, as it
  is possible you may get over/undersizing.
- Added a feature that automatically extracts and
  uses all original video streams intact when the
  output target is smaller than the selected source.
- Added code to collect and log the TSMUXER error
  message when a MUX has failed for some reason.
- Added support for DD+ secondary audio.  Now PiP
  audio should work (when it is DD+).
- Added code to detect and work-around certain types
  of demuxing errors.
- Added a hidden switch for help during testing of
  the PiP functions.  PROCESS_SECONDARY=1 will
  enable the PiP processing.  If it is set to 0 (the
  default value) the secondary video will be ignored.
- Corrected an issue with update of the MPLS when
  secondary video tracks are used.
- Added a "HIGH-SPEED" option to the "SETTINGS/ENCODER
  SETTINGS" menu.  It is visible/recommended for BD-25
  encoding only.  The quality on BD-5/9 will suffer
  greatly if this option is used (via hidden setting).  
  When used with one-pass CRF mode on BD-25 it can 
  result in a very fast yet excellent quality backup 
  of most discs.
- Added AVISYNTH code to limit audio channels to six
  (DD 5.1) when reencoding to AC3.  This should stop 
  reencoding failures on 7.1 sources.
- Regressed the version of AFTEN in order to prevent
  hangs on some AVS sources.
- Updated NICAUDIO.DLL to r2.03 
- Other minor corrections and cosmetic fixes.

July 2nd, 2009 - v0.24.02
- Corrected an error related to PiP processing in 
  which an error "CorrectEPData() 00006 2008" could
  occur due to incorrect indexing into the EPDATA
  table.
- Fixed a bug introduced in v0.24.01 in which full
  backups would have an illegal PID inserted into the
  MPLS file.  This could cause failed playback (blank
  screen with only sound or hang).
- Corrected an issue in which on some BDs that are
  multipart movie-only BD-RB would incorrectly extract 
  a single component and cause a muxing error.
- Other minor corrections and cosmetic fixes.

June 30th, 2009 - v0.24.01
- Added code to increase output size prediction 
  accuracy.  A WARNING to those using custom sizes 
  in order to make "adjusted" output, -- you will 
  likely oversize/undersize.  The actual size of the 
  output should now be closer to that specified in 
  the selected target parameter. A special thanks to 
  lithiumus for his help in the sizing adjustments.
- Changed the default values for AC3.  Reencoding will
  now be done at 640Kbs for 5.1 (rather than 448Kbs) 
  and 224Kbs for 2.0 (rather than 192Kbs).  Also the
  setup dialog option has changed to enable 448Kbs as 
  a secondary option (previously 640Kbs).
- Fixed an inconsistency in the percentage reporting
  to the status bar when in minimized mode.
- Added a LOG entry when BD-RB can't find the X264
  window handle.  This is just to clearly identify if
  the 50% complete problem is a result of a failed
  attempt to retrieve the handle.
- Corrected a bug that could under certain conditions
  prevent playback of streams that had secondary video
  on the original disc.
- Added code to prevent failed encode on very small
  sources due to ridiculously low specified bitrate.
- Added and ETA field to the status display of the GUI
  that shows an estimate the time needed to complete
  the current encoding pass.
- Added a partial implementation of PiP rebuilds.  The 
  video should now be included on full backups.  Audio
  support is still in development.
- Changed the name of the INF file.  Previously the
  job status information (INF) was saved to a file
  called "BDREBUILDER.INF" in the destination folder.
  Now, to keep the information for debugging, etc. I
  have named it according to the source.
- Added an option to the SETUP dialog for automatic
  removal of the WORKFILES directory after rebuild.
  Warning:  Selecting this option removes all files
  required to perform another REBUILD in the event you
  decided to "tweak" the source slightly.  Use with
  caution.
- Added a "Shutdown after REBUILD" option under the
  FILE menu.  This will shutdown your computer at job
  completion (only if BD-RB has successfully completed 
  all its encode and rebuild steps). A warning/abort
  dialog gives the opportunity to abort the shutdown.
- Updated X264.EXE to a newer release (r1173).
- Other minor corrections and cosmetic fixes.

June 20th, 2009 - v0.23.02
- Corrected an error in which a file may incorrectly
  be flagged as no reencode and cause oversizing.
- Updated X264.EXE to newer version (r1169)
- Other minor corrections and cosmetic fixes.

June 18th, 2009 - v0.23.01
- Added the --fps parameter to the X264 command line
  to circumvent possible inconsistencies in source
  frame serving.
- Added code to detect pulldown in VC-1 sources and 
  perform special handling (e.g. auto removal).
- Changed the method of updating the progress bar
  back to that in v0.21.01.  It seems the O/S isn't
  consistent returning window handles.
- Corrected an error in which field deinterlacing
  could fail when the output of the source codec was
  not YUY2 or YV12.
- Corrected an issue related to sources with pulldown
  that could result in audio synch errors.
- Changed the default value of the FIX_CLPI hidden INI
  setting.  The CLPI errors were fixed in TSMUXER and
  this is typically no longer needed.  If you are using
  an older version of TSMUXER rather than the one that
  is shipped with BD-RB, however, please add FIX_CLPI=1
  to the "Options" area of your config (INI) file.
- Fixed some overall progress reporting errors when 
  resuming a movie-only encode.
- Added code to identify troublesome (field based)
  VC-1 interlaced files.  In BD-25 backups they are (if
  not the main-feature) automatically copied intact to
  prevent CODEC failures during encoding with X264.
  NOTE: Setting the RESIZE option will disable this
  feature.
- Added two flags to the streams list following the fps
  indicator.  "*" means the source is PULLDOWN.  "**"
  (BD5/9 only) means the source is FIELD BASED interlaced 
  VC-1 and will be BLANKED during reencoding.  Audio 
  will playback correctly, but with a blank screen. This 
  is required in order to prevent CODEC failures on these 
  sources. If you see a lot of "**" flags, you may want
  to consider movie-only mode.
- Added a hidden option called "DISABLE_VC1_FIX=1" this
  will disable the the two changes above (intact copy and
  blanking) -- just in case a CODEC is discovered that
  properly handles these streams.  Flags will still be
  displayed.
- Added code to detect when a video source does not
  require encoding to meet target size goals, and keep it 
  intact.  Please note that the decision contains more 
  than meets the eye.  For example, if an M2TS is a part 
  of more than one MPLS and a component portion of the 
  other cannot be kept intact -- it may not qualify and 
  requires encoding.
- Other minor corrections and cosmetic fixes.

June 7th, 2009 - v0.22.02
- Corrected an error in which the CERTIFICATE folder
  was not being properly removed (when it exists) from
  movie-only encodes.
- Added code to use alternate means to obtain window
  handle (for status bar update) when PID cannot be
  obtained.  This should prevent the confusing "50%
  completed" display that incorrectly gives the 
  impression of an encoding freeze.
- Added a hidden option that will force movie-only
  encodes into BLU-RAY format. This is enabled by
  adding "FORCE_BLURAY=1" to the OPTIONS area of the
  config file (BDREBUILDER.INI).
- Change the default for PRIORITY to IDLE rather than
  NORMAL.  This is typically the better setting.
- Other minor corrections and cosmetic fixes.

May 31th, 2009 - v0.22.01
- All movie-only modes now use the "--AVCHD" flag in
  TSMUXER.  This should result in better compatibility
  across more players.
- When "Stricter AVCHD Compliance for Movie-Only" is
  selected, BD-RB will check for and remove AUXDATA, 
  BDJO, JAR, META, and CERTIFICATE directories if they
  exist. This should result in better compatibility
  across more players.
- When building Full Backups, BD-RB will now check for
  and add BDMV, AUXDATA, BDJO, JAR, and META folders
  if they don't exist.  This should result in better 
  compatibility across more players.
- BD-RB now uses the MKV intermediate file format as
  the default for rebuilds.  If for some reason you 
  wish to force the use of .264 files as the default 
  (as in prior BD-RB releases) add this switch to
  the config (.INI) file:  "MKV_INTERMEDIATE=0"
- Modified the window handle capture routine so it
  wouldn't incorrectly grab the wrong handle when
  other instances of X264 are running.
- Fixed an error in which trailing short "blank video"
  could cause "Error 00009 DoEncoding..."
- Fixed an condition that could cause needless warning
  "Audio and/or PGS size too large." when a short
  trailing blank video is included in an MPLS.
- Corrected an error in which certain error conditions
  in DoEncoding() could result in a BD-RB hang.
- Fixed a condition in which an error might occur on
  certain types of non-directly attached drives that
  is related to timing of renamed files.
- Added a "KEEP_INTERLACING=1" hidden option.  This
  setting should be considered experimental.  This
  setting is not recommended for most encodes, but is
  included for certain specific scenarios.  The setting 
  tells BD-RB to forego deinterlacing.
- Added date stamp to error log entries.
- Updated X264 to version r1163
- Other minor corrections and cosmetic fixes.

May 25th, 2009 - v0.21.01
- Added code to take advantage of PGS (sub) resizing 
  now included in TSMUXER for 1280x720 resizing.
- Fixed an error in which PGS (sub) adjustments were
  not being made when doing movie-only reencoding.
- Corrected an error in which LPCM files were not
  being retained correctly when selecting "Keep HD
  Audio for BD25".  It still needs some testing, but 
  should work correctly now.
- Corrected a problem in which multi-part LPCM files
  were not being reintegrated properly into Movie-Only
  encodes to BD-25.
- Removed BDREBUILDER.INI from installation .ZIP.  It
  prevents accidental overwriting when updating.
- Updated X264 to latest version (r1153)
- Updated TSMUXER to latest release (v1.10.6). Note:
  This version and later REQUIRES TSMUXER v1.10.6 or
  higher due to use of new features. 
- Other minor corrections and cosmetic fixes.

May 5th, 2009 - v0.20.09
- Fixed a bug in which a "STOP" statement (meant for
  testing) was left enabled in v0.20.08 and could be 
  encountered randomly.
- Corrected an error in which a value larger than
  2000 for MIN_M2TS_SIZE could cause a failure in 
  attempting to copy files.
- Other minor corrections and cosmetic fixes.

May 4th, 2009 - v0.20.08
- Corrected source of "DoEncoding() 76 4" error.
- Corrected an error in which some files were being
  incorrectly reencoded even though they were smaller
  than the MIN_MT2S_SIZE parameter (BD-25 only). Note
  that there may still be (and should be) times when
  files smaller than MIN_M2TS_SIZE are encoded (when
  included in an MPLS than also has a larger M2TS).
- Changed processing so that now selecting "Stricter
  AVCHD Compliance..." in the SETUP menu now sets the
  "--avchd" flag for TSMUXER.
- Updated TSMUXER.EXE to the latest release (v1.10.1).
- Improved error handling and identification system.
- Other minor corrections and cosmetic fixes.

April 30th, 2009 - v0.20.07
- Corrected an error introduced in v0.20.06 that made
  movie-only mode selection result in "Source selected 
  is not BD format".
- Other minor corrections and cosmetic fixes.

April 29th, 2009 - v0.20.06
- Made changes to MPLS processing code to correct for
  mismatch errors when MPLS/CLPI PID orders are not
  ordered the same.
- Rewrote several sections that perform audio encoding
  and integrated new routines for processing.
- Corrected an error in which under certain conditions
  some small parts of a multi-part playlist might not
  be reencoded -- and result in a video type mismatch.
- Updated X264.EXE to the latest release (r1145)
- Updated TSMUXER.EXE to the latest release (v1.9.9)
- Other minor corrections and cosmetic fixes.

March 31st, 2009 - v0.20.05
- Changed the processing so that audio encoding is
  not done when intact audio selections are made.
  This should correct errors caused by attempts to
  use nicaudio/aften against HD sources.
- Other minor corrections and cosmetic fixes.

March 29th, 2009 - v0.20.04
- Corrected an error in which timing adjustments on
  certain files may not have the PTS updated 
  correctly on LPCM streams.
- Added an option to SETUP to keep HD audio streams
  intact (for BD25 encoding only).
- Extended the timeout of the beta.  Since I haven't
  had a lot of spare time lately, I want to make 
  sure the program doesn't timeout for anyone between 
  version releases.  The timeout is NOT meant to limit 
  use but instead to keep me from having to readdress
  the same bugs over-and-over.
- Made several changes to accommodate naming
  convention in newer versions of TSMUXER.
- Updated X264 to version r1130.  Includes several
  speed improvements.
- Fixed an error related to pass reporting on certain
  types of encodes.
- Reduced the default target size for BD-25.  The new
  setting of 24450 was too large for BD-RB (which has
  a limit of 23098).
- Added setting of the CUSTOM_TARGET_SIZE as an option
  in the SETUP dialog.
- Other minor corrections and cosmetic fixes.

March 7th, 2009 - v0.20.03
- Corrected an error in which the determined total
  source size can be distorted.  This can result
  in undersizing.
- Updated the SETUP dialog follow-on action so the
  stream display, settings and tables are updated 
  following a save.  In previous versions the INI 
  data wasn't being reset based on saved settings. 
  This may be the cause of many of the "Failed to 
  rebuild BD file(s)" error caused by a mismatch 
  between different phases of BD-RB.
- Added code that saves audio/sub configuration at
  demux and resets it accordingly at remux.
- Changed default MIN_M2TS_SIZE to default to 100MB
  for BD-25 encodes to save time.  You can change
  the the value with MIN_M2TS_SIZE=nnnn.  This has
  no effect on BD-5 and BD-9 encodes.  It will also
  not affect M2TS files that are a part of the main
  MPLS>
- INI Editor now reloads INI when saved (you no
  longer have to exit/reenter for changes to take
  effect).
- Added a Custom Target Size option to the
  SETTINGS/OPTIONS menu.  You can set the value by
  adding CUSTOM_TARGET_SIZE=nnnn to the "[Options]"
  area of the config (INI) file.
- Updated X264.EXE to the latest release (r1123).
- Other minor corrections and cosmetic fixes.

February 28th, 2009 - v0.20.02
- Made additional change to the CLPI "fix" code
  to provide greater compatibility across more
  players.
- Regressed the version of TSMUXER included to
  the same one released with v0.19.6.  Apparently
  the new one introduces issues.
- Other minor corrections and cosmetic fixes.

February 28th, 2009 - v0.20.01
- Added additional code to help prevent removal
  of subpictures from streams detected as menus.
- Adjusted the constant for M2TS multiplexing
  overhead.  Output size should be closer to that
  specified now (prior versions resulted in some
  undersizing). 
- Added code to prevent certain possibilities of
  errors in CorrectMPLS().
- Added code to more definitively recognize menu
  items for special processing.
- Updated code to prevent "Quick" encoding of
  video segments that are a component of a multi-
  part feature.
- Made changes to the method for correcting tables
  in the TSMUXER CLPI files.  Panasonic players
  are hopefully now be able to work without setting 
  the "FIX_CLPI=0" flag.
- Updated the status of encode so it more accurately
  resumes (especially in movie-only -- note: make
  sure you've selected that same PlayList).
- Updated nicaudio.dll to v2.02.  Don't remember 
  why I was keeping the old version in the zip file
  distribution.  But I've been using this one for a
  while now.
- Updated X264.EXE to the latest release (r1115).
- Updated TSMUXER.EXE to v1.8.18(b).
- Other minor corrections and cosmetic fixes.

February 21st, 2009 - v0.19.06
- Corrected a bug in v0.19.05 that caused failure
  in CreateBDFiles() when using MOVIE-ONLY mode.
- Other minor corrections and cosmetic fixes.

February 21st, 2009 - v0.19.05
- Corrected a error in which selecting MKV as the
  intermediate file could result in problems for
  movie-only encodes (missing "track=" in META).
- Made slight adjustments to some sizing settings.
- Corrected the "selected" check when choosing
  BD-25 output.
- Enabled MIN_M2TS_SIZE=nnn as a "hidden" option.
  When set (for a non-MOVIE only encode) and the 
  output size is BD-25, any M2TS files that is
  smaller than this value (in MB) is copied intact 
  to the output.  Useful for retaining certain
  files that can't be reencoded (like VC-1 extras
  with hybrid progressive and interlaced streams) 
  when doing full disc backups.
- Corrected an error in sizing calculations that
  could result in significant undersizing.  This
  is especially pronounced on BD-25 encodes.
- Resolved an issue in which CLPI tables were not
  being correctly fixed when running movie-only
  mode.
- One of the second pass settings incorrectly had
  --b-adapt selected.  Removed.
- Made improvements to processing for BD-25.  Now
  small menu files are automatically excluded from
  reprocessing.
- Other minor corrections and cosmetic fixes.

February 18th, 2009 - v0.19.04
- Corrected a bug that could lead to errors in the
  ExtractAudio() and RunTSMuxer() subroutines.
- Other minor corrections and cosmetic fixes.

February 17th, 2009 - v0.19.02
- Corrected a bug in which the wrong video type
  could be inserted in the MPLS under very rare
  circumstances.
- Added code to adjust subtitles accordingly when
  the RESIZE 1080p to 720p option is selected.
- Updated the included release of X264.EXE to
  release r1114 - which corrects the uncommon
  but reported "crash" that could occur on some
  computers.
- Corrected a condition in RunTSMuxer() that may
  cause a runtime error.
- Fixed possible causes of runtime errors in the
  audio extraction module.
- Other minor corrections and cosmetic fixes.

February 15th, 2009 - v0.19.01
- Corrected an error in which audio track of menu
  items may not have been updated properly.  This
  could cause menus to not play audio (especially
  for LPCM).
- Enabled PGS (subtitle) removal and wrote code to
  handle removal and updating of MPLS files.
  Note:  If a file is determined to likely be a menu
  (small with certain characteristics) subtitles will
  not be removed by default (in the streams display).
  You can manually remove them -- but only at the
  risk of creating possible menu problems.
- Added an option to the SETUP dialog for resizing
  1920x1080 sources to 1280x720.  This should make
  BD-5 backups of many sources more viable.
  Note:  If a file is determined to likely be a menu
  (small with certain characteristics) is will not
  be resized.
- Corrected an error in which simple stereo AC3 can 
  under certain conditions default to 448Kbs or 
  640Kbs (massive overkill).  The rate will now be 
  correctly set 192Kbs.
- Other minor corrections and cosmetic fixes.

February 14th, 2009 - v0.18.10 (internal release)
- Bug fixes.
- Other minor corrections and cosmetic fixes.

February 13th, 2009 - v0.18.9
- Changed the method for determining fps/framecounts
  and other file info so that AVISYNTH returns are
  used only as a backup. Small speed improvement.
- Made changes that lower the likelihood that video
  encodes will end in unspecific "failure".
- Enhanced error detection to more clearly identify
  specific error locations.
- Updated X264 version to r1112.  Seems to fix errors
  that some received on r1109 -- but not repeatable
  on reference machine in testing.
- Added code to automatically back into X264 r1082
  after two failed attempts to encode.
- Other minor corrections and cosmetic fixes.

February 10th, 2009 - v0.18.8
- Corrected an error in which a stream with no audio
  to extract could cause an error.
- Updated muxing command line in an attempt to correct
  "skipping" issues with playback on PS3.
- Corrected an error in which "ConvertToYV12()" can be
  multiply entered in an AVS file.
- Made some corrections related to audio stream
  selection and PIDs used.
- Updated included X264.EXE to r1109.
- Other minor corrections and cosmetic fixes.

January 25th, 2009 - v0.18.7
- Rewrote movie-only audio handling routines to fix
  out-of-sync audio on multipart sources.
- Corrected (another bug) that could cause the wrong 
  MPLS to sometimes be selected as the main-movie in 
  the Streams List.
- "Inconsistency" errors made no sense, as they were
  actually failed encodes.  Removed the error and put
  "failed encode" as should be.
- Added error ID in critical areas for debugging.
- Other minor corrections and cosmetic fixes.

January 23rd, 2009 - v0.18.5/v0.18.6
- Internal test versions

January 21st, 2009 - v0.18.4
- Fixed an error introduced in v0.18.2 that could set
  the framecount on a segment to an incorrect value and
  result in massive undersizing.  
- Corrected a bug that could cause the wrong MPLS to 
  sometimes be selected as the main-movie in the Streams 
  List.
- Corrected "Runtime Error 6" that could occur during
  selection of a source.
- Fixed an error that would cause BD Rebuilder to exit
  with an error when using "FIX_CLPI=0".
- Other minor corrections and cosmetic fixes.

January 20th, 2009 - v0.18.3
- Fixed an error in which empty folder that should be
  removed in AVCHD mode were not being correctly removed.

January 20th, 2009 - v0.18.2
- PLEASE NOTE:  Starting with this version, BD Rebuilder
  REQUIRES AVISYNTH v2.57 or above. If you do not have it 
  installed, please download it from: 
  http://www.jdobbs.net/freeware/Avisynth_257.exe
  and install it.  BD-RB will not work with older
  versions of AVISYNTH.
- Improved command line settings used for QUICK encodes.
- Corrected error in QUICK encoding routine that
  could result in oversizing (particularly on
  series and extra discs).
- Corrected an error that could cause "Runtime Error 6"
  when encoding audio.
- Added code to catch errors during audio reencoding.
- Added a checkbox in SETUP to make AC3 reencodes
  default to 640Kbs rather than 448Kbs.
- Updated quality selection.  There are now four levels
  based on recommendations from Dark Shikari. Now uses
  "ENCODE_QUALITY=" parameter in INI file.
- Added a warning/restriction when source path lengths
  are too long (previously caused oversizing).
- Corrected an error that would cause "Runtime Error 9"
  on certain discs with multiple story paths (angles).
- Completely rewrote the movie-only handling routines to
  correct issues with certain multi-path/angle sources
  that had huge numbers of components and could cause
  BD-RB to crash with out-of-memory errors.
- Added code to correct the "snap" sound in WAV files
  resulting from demuxing via TSMUXER.
- Added chapter calculation to movie-only mode.  Now the
  chapters will match those in the original playlist.
- Added the ability to select from alternate playlists. 
  This is especially useful for series discs and discs
  with more than one version of a film. Note: You can
  select only from playlists of least 15 mins.
- Added traps to catch muxing errors that could result
  in "Runtime Error 76 - path not found".
- Corrected "Runtime Error 424".
- Fixed an error related to audio (especially LPCM) that
  could cause errors in "ReencodeAudio()" routine.
- Fixed several issues in related to reecoding/keeping 
  audio streams that could result in the wrong type code 
  being set in the MPLS file.  This could result in
  silent playback.
- Made calculation changes to help prevent oversizing
  under certain conditions when audio is kept intact.
- Added a SETUP option that makes what appears to be a
  more strictly compliant output (AVCHD) for the movie-
  only option.
- Other minor corrections and cosmetic fixes.

January 16th, 2009 - v0.18.1 (internal release)
- Numerous bug fixes and temp code for internal testing.
- Other minor corrections and cosmetic fixes.

 January 13th, 2009 - v0.17.14 (internal release)
- Numerous bug fixes and temp code for internal testing.
- Other minor corrections and cosmetic fixes.

January 3rd, 2009 - v0.17.13
- Corrected an error in which a source that uses LPCM
  input was crashing with MOVIE-ONLY mode.
- Fixed a "Runtime Error 9" that could occur when a
  source did not have a language code set.
- Added a temporary setting in the config file, example:
  SPECIAL_DEBUG_FILE="C:\PATHTO\DEBUG.TXT"
  This is meant to list all files and sizes found in the
  BD Source path individually in the selected output text
  file so I can debug incorrect sizing that has been
  reported.
- Updated AFTEN to the most recent SVN version.
- Other minor corrections and cosmetic fixes.

December 26th, 2008 - v0.17.12
- Enabled alternate target sizes in the INI file.
- Corrected the ColorBoost option -- in previous
  versions it could cause the AVS to fail.
- Correct an error in which FieldDeinterlace() could
  be inserted out-of-order in the AVS file.
- Updated the version of Aften apparently the previous 
  version released can have issues on
  some computers.
- Added a hidden parmeter "MKV_INTERMEDIATE=1" - this
  sets the intermediate file format to ".MKV" rather
  than ".264".  It is meant to support a certain
  player that gradually goes out-of-sync (for some
  unknown reason).
- Other minor corrections and cosmetic fixes.

December 26th, 2008 - v0.17.11
- Changed the "Quick" algorithm so it would was less
  picky about which extras to encode with CRF.
- Corrected an error in which the wrong MPLS could be
  selected for MOVIE-ONLY mode.
- Other minor corrections and cosmetic fixes.


December 25th, 2008 - v0.17.10
- Added "ConvertToYV12()" to the AVS files, apparently
  some of the needed CODECS don't default as previously
  thought.
- Corrected an error in which the META files would not
  have the framerate set properly when the computer is
  set for certain format types.
- Other minor corrections and cosmetic fixes.

December 24th, 2008 - v0.17.9
- First release for beta testing.
